<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

$title = lang('Приглашения в сообщества', 'Запрошення в спільноти');
require_once '../incfiles/head.php';

?>

	<div class="title">
		<a href="<?= URL . "/groups/my.php?id={$user_id}" ?>" onclick="Page.Go(this.href); return false">
			<?= lang('Сообщества', 'Спільноти') ?>
		</a>
		<a href="<?= URL . "/groups/invitations.php" ?>" onclick="Page.Go(this.href); return false" class="title_a_hover">
			<?= lang('Приглашения в сообщества', 'Запрошення в спільноти') ?>
		</a>
	</div>

<?php

$exists = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `group_invitations` WHERE `to_id` = '{$user_id}'"), 0);

if (!$exists) {
	echo '<div class="block">'.lang('Вас пока что никто не приглашал в сообщества.', 'Вас поки що ніхто не запрошував в спільноти.').'</div>';
	require_once '../incfiles/foot.php';
	exit();
}

if (!empty($_GET['delete'])) {
	$invite_id = abs(intval($_GET['delete']));
	if (mysql_result(mysql_query("
	SELECT COUNT(`id`) FROM `group_invitations` 
	WHERE `to_id` = '{$user_id}' AND `id` = {$invite_id}"), 0)) {
		mysql_query("DELETE FROM `group_invitations` WHERE `id` = '{$invite_id}'");
		mysql_query("UPDATE `users` SET `notifications_soo` = (`notifications_soo`-1) WHERE `id` = '{$user_id}'");

		$alert = lang('Удаление прошло успешно', 'Видалення пройшло успішно');
	}
}

if (isset($_GET['remove-all'])) {
	$count = abs(intval($_GET['remove-all']));
	if ($count == $exists) {
		mysql_query("DELETE FROM `group_invitations` WHERE `to_id` = '{$user_id}' LIMIT {$count}");
		mysql_query("UPDATE `users` SET `notifications_soo` = 0 WHERE `id` = '{$user_id}'");
		$alert = lang('Удаление прошло успешно', 'Видалення пройшло успішно');
	}
}

if (isset($_GET['confirm-all'])) {
	$count = abs(intval($_GET['confirm-all']));
	if ($count == $exists) {
		$rows = mysql_query("SELECT gr.`id`, gr.`users`, gr.`count_users`
		FROM `group_invitations` as gi 
		INNER JOIN groups as gr ON (gi.group_id = gr.id) 
		WHERE `to_id` = '{$user_id}' GROUP BY gr.id");

		while($row = mysql_fetch_assoc($rows)) {
			$id = $row['id'];

			if (!in_array($user_id, explode("||", substr($row['users'], 1, -1))))
			{
				if (mysql_query("UPDATE `groups` SET `users` = '|".$user_id."|".$row['users']."', `count_users` = '".($row['count_users']+1)."' WHERE `id` = '".$id."'") == true)
				{
					if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `my_groups` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == false) mysql_query("INSERT INTO `my_groups` SET `user_id` = '".$user_id."', `groups` = '|".$id."|', `time` = '".time()."'");
					else
					{
						$arr_my_groups = mysql_fetch_array(mysql_query("SELECT * FROM `my_groups` WHERE `user_id` = '".$user_id."' LIMIT 1"));
						mysql_query("UPDATE `my_groups` SET `groups` = '|".$id."|".$arr_my_groups['groups']."' WHERE `user_id` = '".$user_id."' LIMIT 1");
					}
					mysql_query("UPDATE `users` SET `count_groups` = '".($user['count_groups']+1)."' WHERE `id` = '".$user_id."' LIMIT 1");
					$arr_group = mysql_fetch_array(mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1"));
				}
			}
		}
		mysql_query("DELETE FROM `group_invitations` WHERE `to_id` = '{$user_id}' LIMIT {$count}");
		mysql_query("UPDATE `users` SET `notifications_soo` = 0 WHERE `id` = '{$user_id}'");
		$alert = lang("Вы успешно вступили во все сообщества.", "Ви успішно вступили у всі спільноти.");
	}
}

$invitations = mysql_query("SELECT 
gi.`id`, gi.`group_id`, gi.`from_id`, gi.`created_at`, gr.name as gr_name, gr.id as gr_id,
users.`name`, users.`surname`, users.id as uid FROM `group_invitations` as gi 
INNER JOIN groups as gr ON ( gi.group_id = gr.id) 
INNER JOIN users ON ( gi.from_id = users.id) 
WHERE `to_id` = '{$user_id}' ORDER BY `id` DESC");

?>

<?php if (isset($alert)): ?>
	<div class="block"><?= $alert ?></div>
<?php endif ?>

	<div class="block">
		<a href="<?= URL . "/groups/invitations.php?confirm-all={$exists}" ?>">
			<?= lang('Вступить во все', 'Вступити у всі') ?>
		</a>
		|
		<a href="<?= URL . "/groups/invitations.php?remove-all={$exists}" ?>">
			<?= lang('Очистить', 'Очистити') ?>
		</a>
	</div>

<?php while($row = mysql_fetch_assoc($invitations)): ?>
	<div class="block">

		<a href="<?= URL . "/?id={$row['uid']}" ?>">
			<?= sprintf('%s %s', $row['name'], $row['surname']) ?>
		</a>

		<?= lang(
			'приглашает вас вступить в сообщество',
			'запрошує вас вступити в спільноту'
		) ?>

		<a href="<?= URL . "/groups/?id={$row['gr_id']}" ?>">
			<?= checkout($row['gr_name']) ?>
		</a>
		<br>
		<small><?= date('d.m.Y в H:i') ?></small>
		<br>
		<a href="<?= URL . "/groups/invitations.php?delete={$row['id']}" ?>">Видалити</a>
	</div>
<?php endwhile; ?>

<?php require_once '../incfiles/foot.php'; ?>